<th:block th:insert="fragments/_head :: head"></th:block>

<th:block th:insert="fragments/_navbar :: navbar"></th:block>

<h1>Inscription artiste</h1>
<div class="card w-75 mx-auto">
    <div class="card-body">
        <p class="text-danger" th:if="${feedback}" th:text="${feedback}"></p>
        <form th:action="@{/artist-register}" method="post">
            <label for="firstName">Prénom <span class="text-danger">*</span></label>
            <p class="m-0 text-danger" th:errors="${artist.firstName}"></p>
            <input type="text" th:classappend="${#fields.hasErrors('artist.firstName')} ? 'is-invalid'" id="firstName" class="form-control" th:field="${artist.firstName}">
            <label for="lastName">Nom <span class="text-danger">*</span></label>
            <p class="m-0 text-danger" th:errors="${artist.lastName}"></p>
            <input type="text" id="lastName" class="form-control" th:classappend="${#fields.hasErrors('artist.lastName')} ? 'is-invalid'" th:field="${artist.lastName}">
            <label for="email">Email <span class="text-danger">*</span></label>
            <p class="m-0 text-danger" th:errors="${artist.email}"></p>
            <input type="email" id="email" class="form-control" th:classappend="${#fields.hasErrors('artist.email')} ? 'is-invalid'" th:field="${artist.email}">
            <label for="password">Password <span class="text-danger">*</span></label>
            <p class="m-0 text-danger" th:errors="${artist.password}"></p>
            <input type="password" id="password" class="form-control" th:classappend="${#fields.hasErrors('artist.password')} ? 'is-invalid'" th:field="${artist.password}">
            <button class="btn btn-warning mt-3">Valider</button>
        </form>
    </div>
</div>

<th:block th:insert="fragments/_footer :: footer"></th:block>